[arch-commits] Commit in texlive-langcyrillic/repos (3 files)

Rémy Oudompheng remy at archlinux.org
Sat May 11 21:12:07 UTC 2019


    Date: Saturday, May 11, 2019 @ 21:12:07
  Author: remy
Revision: 352870

archrelease: copy trunk to testing-any

Added:
  texlive-langcyrillic/repos/testing-any/
  texlive-langcyrillic/repos/testing-any/PKGBUILD
    (from rev 352869, texlive-langcyrillic/trunk/PKGBUILD)
  texlive-langcyrillic/repos/testing-any/texlive-langcyrillic.maps
    (from rev 352869, texlive-langcyrillic/trunk/texlive-langcyrillic.maps)

---------------------------+
 PKGBUILD                  |   49 ++++++++++++++++++++++++++++++++++++++++++++
 texlive-langcyrillic.maps |    2 +
 2 files changed, 51 insertions(+)

Copied: texlive-langcyrillic/repos/testing-any/PKGBUILD (from rev 352869, texlive-langcyrillic/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD	                        (rev 0)
+++ testing-any/PKGBUILD	2019-05-11 21:12:07 UTC (rev 352870)
@@ -0,0 +1,49 @@
+# Maintainer: Firmicus <firmicus āt gmx dōt net>
+# Maintainer: Rémy Oudompheng <remy at archlinux.org>
+
+pkgname=texlive-langcyrillic
+pkgver=2019.50683
+_revnr=${pkgver#2019.}
+pkgrel=1
+pkgdesc="TeX Live - Fonts and macro packages to typeset Cyrillic texts"
+license=('GPL')
+arch=(any)
+depends=('texlive-core')
+groups=('texlive-lang')
+url='http://tug.org/texlive/'
+source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip" "$pkgname.maps")
+options=('!emptydirs')
+sha256sums=('cc922e28494c079884a439c7d340b3f703b061bf2e5d48cd0001d7d429b24975'
+            '4ca6db61e59bcb0f718a1cb062dad04e7f01866c5a7d320dcf67e6a47130f222')
+
+build() {
+   cd "$srcdir"
+   for p in *.tar.xz; do
+	   bsdtar -xf $p
+   done
+   rm -rf {tlpkg,doc,source} || true
+}
+
+package() {
+   cd "$srcdir"
+   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
+   sed -i '/^#/d' CONTENTS
+   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+   install -m644 $pkgname.maps $pkgdir/var/lib/texmf/arch/installedpkgs/
+   install -m755 -d $pkgdir/usr/share
+   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
+   for dir in $wanteddirs; do
+     find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
+     find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
+   done
+   if [[ -d texmf-dist ]]; then
+     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
+     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
+   fi
+   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
+     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+   fi
+   mkdir -p "${pkgdir}/usr/bin"
+   ln -s /usr/share/texmf-dist/scripts/texlive/rubibtex.sh "${pkgdir}/usr/bin/rubibtex"
+   ln -s /usr/share/texmf-dist/scripts/texlive/rumakeindex.sh "${pkgdir}/usr/bin/rumakeindex"
+}

Copied: texlive-langcyrillic/repos/testing-any/texlive-langcyrillic.maps (from rev 352869, texlive-langcyrillic/trunk/texlive-langcyrillic.maps)
===================================================================
--- testing-any/texlive-langcyrillic.maps	                        (rev 0)
+++ testing-any/texlive-langcyrillic.maps	2019-05-11 21:12:07 UTC (rev 352870)
@@ -0,0 +1,2 @@
+Map cmcyr.map
+MixedMap mongolian.map


More information about the arch-commits mailing list